Taggato: 

Stai visualizzando 11 post - dal 1 a 11 (di 11 totali)
  • Autore
    Post
  • MarsanDino
    Membro
    • Blenderista
    • Post sul Forum 25
    #769346

    Salve! Chiedo aiuto perchè non riesco ad abilitare BlenderGIS. Premetto che ho la versione 2.79. Dopo la procedura d’installazione, quando provo a dare la spunta per abilitare, mi compare questo messaggio d’errore. Qualcuno riesce a darmi la soluzione? Grazie!.


    Sono semplicemente un Creativo. Sono tutto e niente allo stesso tempo.
    Harvester
    Moderatore
    #769376

    Strano perchè con la 2.79b sembra funzionare correttamente, ho dovuto solo impostare la cartella della cache nelle preferenze. Prova a riscaricare l’add-on e reinstallarlo dopo aver rimosso quello già presente. Questa è una schermata del add-on installato ed attivato nella 2.79b:

    I file inclusi nel add-on sono questi:

     

     

    MarsanDino
    Membro
    • Blenderista
    • Post sul Forum 25
    #769425

    Intanto ti ringrazio per il tentativo d’aiuto. Ti confesso che ho tentato in tutti i modi reinstallando, non solo Blender GIS, ma Blender più volte in directory diverse per vedere se cambiava qualche cosa ma… nulla da fare! L’unica cosa che ho notato di diverso dai tuoi esempi, è che io ho scaricato “BlenderGIS master” e a questo link ho letto che è la versione per il 2.8 mentre io ho il 2.79. Poi parla che il vecchio codice si può trovare “nel ramo dedicato” ma non ho capito cosa intende e quindi non saprei dove cercarlo. Tu ci capisci qualche cosa? Sempre grazie!

    “<span class=”notranslate”>Installare</span>

    <span class=”notranslate”> Questo addon richiede almeno che Blender v2.80 funzioni correttamente (il vecchio codice per Blender 2.79 è ancora disponibile nel ramo dedicato).</span> <span class=”notranslate”> Facoltativamente, si affida anche a GDAL per funzionalità avanzate.</span>

    <span class=”notranslate”> Scarica l’archivio dei sorgenti da github.”</span>

    Questo il link di riferimento:

    https://translate.googleusercontent.com/translate_c?depth=1&hl=it&prev=search&rurl=translate.google.com&sl=en&sp=nmt4&u=https://github.com/domlysz/BlenderGIS/wiki/Install-and-usage&xid=17259,15700023,15700186,15700191,15700256,15700259,15700262,15700265,15700271,15700283&usg=ALkJrhh53H9ju9q3-OvUgRBvkfLtvzEZDQ


    Sono semplicemente un Creativo. Sono tutto e niente allo stesso tempo.
    Harvester
    Moderatore
    #769426

    La versione del add-on che ho mostrato nell’esempio precedente è quella per la 2.79b (quello per la 2.80 non l’ho nemmeno ancora guardato) e l’ho preso dal repository su GitHub dello sviluppatore: https://github.com/domlysz/BlenderGIS

    Clicca sul pulsante verde “Clone or download” e scarica il file zippato, quindi scompatti ciò che contiene che dovrebbe essere esattamente quello che vedi nel mio esempio, sulla destra (è la cartella con il repository di tutti gli add-on di cui seguo lo sviluppo o che semplicemente mi interessano). Tieni presente inoltre che uso un sistema specifico per gestire gli add-on “esterni”, mentre tu puoi semplicemente copiare la cartella presente nel file compresso di cui sopra e copiarla nel percorso di installazione di Blender in “C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons” oppure “…\addons_contrib”, o dentro la tua cartella utente che si trova solitamente in “C:\Users\[il nome utente]\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons”.

    MarsanDino
    Membro
    • Blenderista
    • Post sul Forum 25
    #769536

    Avevo già fatto le procedure che mi hai indicato ma, per verifica, ho voluto ritentare azzerando tutto e ripartendo da capo ma, purtroppo, nulla è cambiato. A questo punto ho fatto un’altra scelta forzata: ho utilizzato “CADMAPPER” estraendo i file in formato DXF così da importarli direttamente in Blender. Al momento mi accontento! L’unico problema è che i fabbricati hanno solo il perimetro e quindi, nell’estrusione, rimangono vuoti all’interno perciò dovrò chiuderli singolarmente con fill. Ti ringrazio comunque per il tempo che hai dedicato alla mia causa. Un saluto!

     


    Sono semplicemente un Creativo. Sono tutto e niente allo stesso tempo.
    Harvester
    Moderatore
    #769539

    Hmmm, ci hai dato a mucchio, come si suol dire. Peccato. Comunque, hai provato anche con una versione portable di Blender?

    Non escludo tu abbia un problema con l’installazione di Blender perchè anche la versione del add-on per la 2.80 mi funziona nella 2.81a:

     

     

    MarsanDino
    Membro
    • Blenderista
    • Post sul Forum 25
    #769572

    Ti assicuro che mi sono sbattuto per 3 giorni su questo problema e non ho certo fatto le cose superficialmente. Io però non sono un tecnico ma un creativo e quindi non posso che rivolgermi a chi ha più competenze in merito, altro non saprei. La mia convinzione però è che ci sia una incompatibilità tra la mia versione 2.79b e quel BlenderGIS, altrimenti perchè ci sarebbe scritto quello che ti riporto sotto? MAH! Sempre grazie comunque!

    <span class=”notranslate”>“Installare</span>

    <span class=”notranslate”> Questo addon richiede almeno che Blender v2.80 funzioni correttamente (il vecchio codice per Blender 2.79 è ancora disponibile nel ramo dedicato).</span> <span class=”notranslate”> Facoltativamente, si affida anche a GDAL per funzionalità avanzate.                 (non capisco quale sarebbe il ramo dedicato)
    </span>

    <span class=”notranslate”> Scarica l’archivio dei sorgenti da github.”</span>


    Sono semplicemente un Creativo. Sono tutto e niente allo stesso tempo.
    Harvester
    Moderatore
    #769575

    Non ho dubbi che tu le abbia provate tutte, ma resta il fatto che non ti funziona ancora l’add-on. Sto solo cercando di darti una mano con le informazioni che ho a disposizione. Sembra che tu non stia usando la versione corretta del add-on per la verisone di Blender 2.79 che usi. Quando accedi al repository online su GitHub dell’add-on, il ramo di sviluppo principale detto Master è quello che ti viene presentato di default ed è la versione per Blender 2.8x, come puoi vedere qui sotto:

    Per accedere al codice della versione per Blender 2.79 devi cambiare “ramo” o branch:

    Spero ti sia utile.

    MarsanDino
    Membro
    • Blenderista
    • Post sul Forum 25
    #769585

    Vedi che il mio istinto (65 anni) mi ha suggerito bene!? Era solo questione di comunicare nella giusta frequenza. Con i tuoi chiarimenti finali tutto è andato a buon fine! Io non avevo capito che dovevo modificare quella casella inserendo la versione 2.79. Allora, tutto è bene quel che finisce bene, così potrò trascorrere serenamente le feste di Natale,EH! Diciamo che mi hai fatto il regalo per queste feste, che auguro buone anche a te!


    Sono semplicemente un Creativo. Sono tutto e niente allo stesso tempo.
    Harvester
    Moderatore
    #769592

    Perfetto. Buone Feste anche a te. 🙂

    #829055

    Buonasera a tutti,
    riprendo questa discussione perchè ho provato ad usare blendergis, ma quando provo a caricare i dati relativi alla morfologia del terreno (get SRTM) mi da un errore:
    cannot reach OpenTopography web service, check logs for more infos
    Sapete se esiste una soluzione? Eventualmente esiste qualcosa di simile che faccia la medesima cosa?.
    Grazie.

Stai visualizzando 11 post - dal 1 a 11 (di 11 totali)
  • Devi essere connesso per rispondere a questo topic.